package com.ruoyi.ss.clean.service;

import java.util.List;

import com.ruoyi.ss.clean.domain.Clean;
import com.ruoyi.ss.clean.domain.CleanQuery;
import com.ruoyi.ss.clean.domain.CleanVO;
import com.ruoyi.ss.order.domain.OrderVO;

/**
 * 保洁记录Service接口
 *
 * @author qzz
 * @date 2024-11-19
 */
public interface ICleanService
{
    /**
     * 查询保洁记录
     *
     * @param cleanId 保洁记录主键
     * @return 保洁记录
     */
    public CleanVO selectECleanByCleanId(Long cleanId);

    /**
     * 查询保洁记录列表
     *
     * @param eClean 保洁记录
     * @return 保洁记录集合
     */
    public List<CleanVO> selectECleanList(CleanQuery eClean);

    /**
     * 新增保洁记录
     *
     * @param eClean 保洁记录
     * @return 结果
     */
    public int insertEClean(Clean eClean);

    /**
     * 修改保洁记录
     *
     * @param eClean 保洁记录
     * @return 结果
     */
    public int updateEClean(Clean eClean);

    /**
     * 批量删除保洁记录
     *
     * @param cleanIds 需要删除的保洁记录主键集合
     * @return 结果
     */
    public int deleteECleanByCleanIds(Long[] cleanIds);

    /**
     * 删除保洁记录信息
     *
     * @param cleanId 保洁记录主键
     * @return 结果
     */
    public int deleteECleanByCleanId(Long cleanId);

    /**
     * 完成保洁
     */
    boolean completeCleaning(Long cleanId);

    /**
     * 根据订单对象创建保洁订单
     */
    Clean buildClean(OrderVO orderVO);

}
